Use AdventureWorks2008R2;

-- Schema fr Beispiele anlegen
CREATE SCHEMA Bsp;
GO

-- Eine Tabelle zum Testen anlegen
CREATE TABLE Bsp.Teilnehmer
(
	TeilnehmerID int PRIMARY KEY,
	Nachname nvarchar(50) NOT NULL,
	Vorname nvarchar(50) NOT NULL,
	Kurs char(3)
)
GO

-- Eine Sequence erstellen
CREATE SEQUENCE Bsp.LaufendeNummern
	START WITH 1
	INCREMENT BY 1;
GO

-- Drei Teilnehmer anlegen
INSERT	Bsp.Teilnehmer (TeilnehmerID, Nachname, Vorname, Kurs)
		VALUES (NEXT VALUE FOR Bsp.LaufendeNummern, 'Becker', 'Hilde', 'SEK'),
			   (NEXT VALUE FOR Bsp.LaufendeNummern, 'Becker', 'Heinz', 'NEK'),
		       (NEXT VALUE FOR Bsp.LaufendeNummern, 'Becker', 'Stefan', 'AEK')

-- Ein Blick in die Tabelle
SELECT * FROM Bsp.Teilnehmer 


-- Aufrumen
DROP TABLE Bsp.Teilnehmer
DROP SEQUENCE Bsp.LaufendeNummern
DROP SCHEMA Bsp
