
USE AdventureWorks2008R2 

-- Beispiel 1
SELECT	AddressID, AddressLine1, City, StateProvinceID, PostalCode 
FROM	Person.Address

-- Liefert die Metadaten einer Abfrage
sp_describe_first_result_set 
@tsql = N'SELECT AddressID, AddressLine1, City, StateProvinceID, PostalCode FROM Person.Address'



-- Beispiel 2
DECLARE @AddressID ???? 

SELECT AddressID, AddressLine1, City, StateProvinceID, PostalCode 
  FROM Person.Address 
 WHERE AddressID = @AdressID 

-- Liefert Metadaten zum Parameter
sp_describe_undeclared_parameters 
@tsql = N'SELECT * FROM Person.Address WHERE AddressID = @dAdressID'



-- Beispiel 3

-- Geht auch bei gespeicherten Prozeduren
sp_describe_undeclared_parameters 
@tsql = N'EXEC dbo.uspGetEmployeeManagers @BusinessEntityID'



-- Beispiel 4
-- ndern der Ausgabe einer gespeicherten Prozedur
EXEC dbo.uspGetEmployeeManagers 77 

EXEC dbo.uspGetEmployeeManagers 77 
WITH RESULT SETS 
(
 (
	Rekursion int,
	Geschftseinheit int,
	Vorname nvarchar(50),
	Nachname nvarchar(50),
	Hierachy nvarchar(50),
	[Vorgesetzter Vorname] nvarchar(50),
	[Vorgesetzter Nachname] nvarchar(50)
 )
)


sp_describe_first_result_set  
@tsql = N'EXEC dbo.uspGetEmployeeManagers 77'
GO
sp_describe_first_result_set  
@tsql = N'EXEC dbo.uspGetEmployeeManagers 77
WITH RESULT SETS 
(
 (
	Rekursion int,
	Geschftseinheit int,
	Vorname nvarchar(50),
	Nachname nvarchar(50),
	Hierachy nvarchar(50),
	[Vorgesetzter Vorname] nvarchar(50),
	[Vorgesetzter Nachname] nvarchar(50)
 )
)'